# petsc4py.PETSc.DMPlexTransformType

class petsc4py.PETSc.DMPlexTransformType

  Bases: `object`

  Transformation types.

  Attributes Summary

  `EXTRUDE` | Object `EXTRUDE` of type `str`
  `REFINE1D` | Object `REFINE1D` of type `str`
  `REFINEALFELD` | Object `REFINEALFELD` of type `str`
  `REFINEBOUNDARYLAYER` | Object `REFINEBOUNDARYLAYER` of type `str`
  `REFINEPOWELLSABIN` | Object `REFINEPOWELLSABIN` of type `str`
  `REFINEREGULAR` | Object `REFINEREGULAR` of type `str`
  `REFINESBR` | Object `REFINESBR` of type `str`
  `REFINETOBOX` | Object `REFINETOBOX` of type `str`
  `REFINETOSIMPLEX` | Object `REFINETOSIMPLEX` of type `str`
  `TRANSFORMFILTER` | Object `TRANSFORMFILTER` of type `str`

  Attributes Documentation

  EXTRUDE: str = EXTRUDE

    Object `EXTRUDE` of type `str`

  REFINE1D: str = REFINE1D

    Object `REFINE1D` of type `str`

  REFINEALFELD: str = REFINEALFELD

    Object `REFINEALFELD` of type `str`

  REFINEBOUNDARYLAYER: str = REFINEBOUNDARYLAYER

    Object `REFINEBOUNDARYLAYER` of type `str`

  REFINEPOWELLSABIN: str = REFINEPOWELLSABIN

    Object `REFINEPOWELLSABIN` of type `str`

  REFINEREGULAR: str = REFINEREGULAR

    Object `REFINEREGULAR` of type `str`

  REFINESBR: str = REFINESBR

    Object `REFINESBR` of type `str`

  REFINETOBOX: str = REFINETOBOX

    Object `REFINETOBOX` of type `str`

  REFINETOSIMPLEX: str = REFINETOSIMPLEX

    Object `REFINETOSIMPLEX` of type `str`

  TRANSFORMFILTER: str = TRANSFORMFILTER

    Object `TRANSFORMFILTER` of type `str`